🚀 Teable Credits Up 10x! See our changelog for details.
curl --request PATCH \
--url https://app.teable.ai/api/template/%7BtemplateId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","categoryId":["string"],"cover":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"name":"string","id":"string","thumbnailPath":{"lg":"string","sm":"string"}},"isPublished":true,"featured":true,"isSystem":true,"baseId":"string","markdownDescription":"string"}'update a template
curl --request PATCH \
--url https://app.teable.ai/api/template/%7BtemplateId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","categoryId":["string"],"cover":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"name":"string","id":"string","thumbnailPath":{"lg":"string","sm":"string"}},"isPublished":true,"featured":true,"isSystem":true,"baseId":"string","markdownDescription":"string"}'Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successfully update template.
Was this page helpful?